Detections API の利用開始🔗
注意
Taegis XDRでは、アラート および インベスティゲーション という用語が、最近 検出 および ケース に変更されました。SophosとTaegisテクノロジーのプラットフォーム統合作業が進行中のため、引き続き旧用語が参照されている場合があります。詳細については、Taegis用語の更新をご覧ください。
Detections API には、お客様のインテグレーションが Secureworks® Taegis™ XDR UI で使用される検出の用語に一致するように使用できるエイリアスが用意されています。
検出オペレーションのエイリアス🔗
Alerts GraphQL API のすべてのオペレーションは、detection* エイリアスでも利用できます。エイリアスは同じ入力を受け付け、同じレスポンスタイプを返し、対応する alertsService* と同じ認証を使用します。これらは、インテグレーションで Secureworks® Taegis™ XDR UI に一致する検出の用語を使用できるようにするために存在します。お客様のインテグレーションで好ましい命名を使用してください。
注意
リクエストおよびレスポンスのフィールド定義の詳細については、Alerts GraphQL API のスキーマリファレンスを参照してください。
Detections Gateway に直接アクセスする🔗
Detections API には、次の方法でアクセスできます。
- GraphQL federation gateway 経由:
https://api.<region>.secureworks.com/graphql。他のすべての XDR GraphQL API とあわせて利用できます。詳細は API Authentication を参照してください。 /detections/querygateway に直接アクセス: federation gateway を経由せずに Detections サービスへ直接ルーティングされます。お客様のインテグレーションが federation 経由ではなく API を直接呼び出す場合に使用してください。
どちらも同じ detection* オペレーションを受け付け、同じ認証(Authorization: Bearer {token} と X-Tenant-Context ヘッダー)を使用し、同じ GraphQL レスポンスを返します。
地域
Detections gateway に直接アクセスするための URL は、お客様の環境が展開されているリージョンによって異なる場合があります。
- US1:
https://api.ctpx.secureworks.com/detections/query - US2:
https://api.delta.taegis.secureworks.com/detections/query - EU1:
https://api.echo.taegis.secureworks.com/detections/query - US3:
https://api.foxtrot.taegis.secureworks.com/detections/query - EU2:
https://api.golf.taegis.secureworks.com/detections/query - AP1:
https://api.hotel.taegis.secureworks.com/detections/query - AP2:
https://api.india.taegis.secureworks.com/detections/query - AP3:
https://api.juliet.taegis.secureworks.com/detections/query - SA1:
https://api.kilo.taegis.secureworks.com/detections/query - CA1:
https://api.quebec.taegis.secureworks.com/detections/query
ここでの例では https://api.ctpx.secureworks.com/detections/query を使用しています。別のリージョンにいる場合は、適切な URL に置き換えてください。
リクエストの例🔗
次の例では、detectionSearch クエリを /detections/query gateway に直接送信します。過去 1 日以内に作成された重大度が重大および高の検出を返します。
export ACCESS_TOKEN="your_access_token"
export TENANT_ID="your_tenant_id"
curl -g \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "X-Tenant-Context: $TENANT_ID" \
-H "Content-type: application/json" \
-X POST \
-d '{"query": "query { detectionSearch(in: { cql_query: \"FROM alert WHERE severity >= 0.6 EARLIEST=-1d\", limit: 10 }) { reason search_id status alerts { total_results list { id status tenant_id metadata { title severity confidence } } } } }"}' \
https://api.ctpx.secureworks.com/detections/query
your_access_token は API authentication の際に取得したアクセストークンであり、your_tenant_id はアクセスするテナントの ID です。
クエリエイリアス🔗
| 検出エイリアス | Alerts の同等機能 |
|---|---|
detectionRetrieveById |
alertsServiceRetrieveAlertsById |
detectionRetrieveByHost |
alertsServiceRetrieveAlertsByHost |
detectionRetrieveByEntity |
alertsServiceRetrieveAlertsByEntity |
detectionRetrieveByGroupKey |
alertsServiceRetrieveAlertsByGroupKey |
detectionCountByTenant |
alertsCountByTenant |
detectionSearch |
alertsServiceSearch |
detectionPoll |
alertsServicePoll |
detectionAggregatesBySeverity |
alertsServiceAggregateAlertsBySeverity |
Mutation エイリアス🔗
| 検出エイリアス | Alerts の同等機能 |
|---|---|
detectionUpdateInvestigationInfo |
alertsServiceUpdateInvestigationInfo |
detectionUpdateResolutionInfo |
alertsServiceUpdateResolutionInfo |
detectionBulkInvestigationsProcessor |
alertsServiceBulkInvestigationsProcessor |
detectionUpdateThreatScore |
alertsServiceUpdateThreatScore |
detectionUpdateThreatScoreV2 |
alertsServiceUpdateThreatScoreV2 |
Subscription エイリアス🔗
| 検出エイリアス | Alerts の同等機能 |
|---|---|
detectionBulkResolutionProcessor |
alertsServiceBulkResolutionProcessor |